Bug 197511 - Hitpoint for link which spans two lines in web content is incorrect
Summary: Hitpoint for link which spans two lines in web content is incorrect
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-05-02 08:19 PDT by Andres Gonzalez
Modified: 2019-05-20 10:24 PDT (History)
12 users (show)

See Also:


Attachments
Patch (18.19 KB, patch)
2019-05-02 08:32 PDT, Andres Gonzalez
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews122 for ios-simulator-wk2 (2.45 MB, application/zip)
2019-05-02 10:30 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews210 for win-future (13.50 MB, application/zip)
2019-05-02 12:44 PDT, Build Bot
no flags Details
Patch (18.46 KB, patch)
2019-05-02 19:19 PDT, Andres Gonzalez
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews100 for mac-highsierra (3.34 MB, application/zip)
2019-05-02 20:00 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews105 for mac-highsierra-wk2 (2.95 MB, application/zip)
2019-05-02 20:19 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews210 for win-future (13.77 MB, application/zip)
2019-05-02 20:58 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews117 for mac-highsierra (2.90 MB, application/zip)
2019-05-02 21:11 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews126 for ios-simulator-wk2 (13.35 MB, application/zip)
2019-05-02 21:42 PDT, Build Bot
no flags Details
Patch (19.36 KB, patch)
2019-05-03 07:31 PDT, Andres Gonzalez
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews100 for mac-highsierra (3.07 MB, application/zip)
2019-05-03 08:35 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews104 for mac-highsierra-wk2 (2.60 MB, application/zip)
2019-05-03 08:49 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews215 for win-future (13.46 MB, application/zip)
2019-05-03 08:52 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews112 for mac-highsierra (2.89 MB, application/zip)
2019-05-03 09:19 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews122 for ios-simulator-wk2 (2.47 MB, application/zip)
2019-05-03 09:30 PDT, Build Bot
no flags Details
Patch (20.14 KB, patch)
2019-05-03 10:21 PDT, Andres Gonzalez
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews100 for mac-highsierra (3.35 MB, application/zip)
2019-05-03 11:13 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews105 for mac-highsierra-wk2 (2.76 MB, application/zip)
2019-05-03 11:21 PDT, Build Bot
no flags Details
Patch (20.34 KB, patch)
2019-05-03 11:35 PDT, Andres Gonzalez
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews116 for mac-highsierra (2.99 MB, application/zip)
2019-05-03 11:59 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews126 for ios-simulator-wk2 (8.02 MB, application/zip)
2019-05-03 12:20 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews213 for win-future (13.72 MB, application/zip)
2019-05-03 12:29 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews101 for mac-highsierra (3.08 MB, application/zip)
2019-05-03 12:38 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews105 for mac-highsierra-wk2 (2.62 MB, application/zip)
2019-05-03 12:51 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews112 for mac-highsierra (3.13 MB, application/zip)
2019-05-03 13:07 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews123 for ios-simulator-wk2 (13.27 MB, application/zip)
2019-05-03 13:14 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews211 for win-future (13.67 MB, application/zip)
2019-05-03 14:00 PDT, Build Bot
no flags Details
Patch (20.29 KB, patch)
2019-05-03 14:39 PDT, Andres Gonzalez
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews101 for mac-highsierra (3.43 MB, application/zip)
2019-05-03 15:33 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews106 for mac-highsierra-wk2 (2.92 MB, application/zip)
2019-05-03 15:50 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews210 for win-future (13.51 MB, application/zip)
2019-05-03 16:39 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews112 for mac-highsierra (3.13 MB, application/zip)
2019-05-03 16:40 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews124 for ios-simulator-wk2 (7.77 MB, application/zip)
2019-05-03 16:46 PDT, Build Bot
no flags Details
Patch (16.32 KB, patch)
2019-05-05 18:37 PDT, Andres Gonzalez
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews211 for win-future (13.72 MB, application/zip)
2019-05-06 01:05 PDT, Build Bot
no flags Details
Patch (3.83 KB, patch)
2019-05-17 15:22 PDT, Andres Gonzalez
no flags Details | Formatted Diff | Diff
Patch (3.67 KB, patch)
2019-05-17 15:31 PDT, Andres Gonzalez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andres Gonzalez 2019-05-02 08:19:53 PDT
Title 17A469: Hitpoint for link which spans two lines in web content is incorrect
Comment 1 Andres Gonzalez 2019-05-02 08:32:42 PDT
Created attachment 368773 [details]
Patch
Comment 2 Andres Gonzalez 2019-05-02 08:32:46 PDT
<rdar://problem/49971483>
Comment 3 chris fleizach 2019-05-02 09:21:11 PDT
Comment on attachment 368773 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=368773&action=review

> Source/WebCore/accessibility/AccessibilityRenderObject.cpp:910
> +        /* Links bounding rect can contain points that are not part of the

can we put this link stuff into a separate method?

then we can just write

if (isLink())
   return linkClickPoint();

> Source/WebCore/accessibility/AccessibilityRenderObject.cpp:912
> +         finishes at the beginning of the next line will have a boundg rect

boundg ->. bounding

> Source/WebCore/accessibility/ios/WebAccessibilityObjectWrapperIOS.mm:1603
> +    IntPoint point = m_object->clickPoint();

auto point
Comment 4 Build Bot 2019-05-02 10:30:26 PDT
Comment on attachment 368773 [details]
Patch

Attachment 368773 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/12062726

New failing tests:
accessibility/ios-simulator/links-activation.html
Comment 5 Build Bot 2019-05-02 10:30:28 PDT
Created attachment 368785 [details]
Archive of layout-test-results from ews122 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews122  Port: ios-simulator-wk2  Platform: Mac OS X 10.14.4
Comment 6 Build Bot 2019-05-02 12:44:31 PDT
Comment on attachment 368773 [details]
Patch

Attachment 368773 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/12064022

New failing tests:
security/contentSecurityPolicy/video-with-file-url-allowed-by-media-src-star.html
Comment 7 Build Bot 2019-05-02 12:44:33 PDT
Created attachment 368810 [details]
Archive of layout-test-results from ews210 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews210  Port: win-future  Platform: CYGWIN_NT-10.0-17763-3.0.5-338.x86_64-x86_64-64bit
Comment 8 Andres Gonzalez 2019-05-02 19:19:56 PDT
Created attachment 368870 [details]
Patch
Comment 9 Build Bot 2019-05-02 20:00:40 PDT
Comment on attachment 368870 [details]
Patch

Attachment 368870 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/12073397

New failing tests:
accessibility/links-activation.html
Comment 10 Build Bot 2019-05-02 20:00:42 PDT
Created attachment 368873 [details]
Archive of layout-test-results from ews100 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews100  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 11 Build Bot 2019-05-02 20:19:02 PDT
Comment on attachment 368870 [details]
Patch

Attachment 368870 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/12073621

New failing tests:
accessibility/links-activation.html
Comment 12 Build Bot 2019-05-02 20:19:04 PDT
Created attachment 368879 [details]
Archive of layout-test-results from ews105 for mac-highsierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews105  Port: mac-highsierra-wk2  Platform: Mac OS X 10.13.6
Comment 13 Build Bot 2019-05-02 20:58:29 PDT
Comment on attachment 368870 [details]
Patch

Attachment 368870 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/12074636

New failing tests:
accessibility/links-activation.html
Comment 14 Build Bot 2019-05-02 20:58:31 PDT
Created attachment 368887 [details]
Archive of layout-test-results from ews210 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews210  Port: win-future  Platform: CYGWIN_NT-10.0-17763-3.0.5-338.x86_64-x86_64-64bit
Comment 15 Build Bot 2019-05-02 21:11:05 PDT
Comment on attachment 368870 [details]
Patch

Attachment 368870 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/12074320

New failing tests:
accessibility/links-activation.html
Comment 16 Build Bot 2019-05-02 21:11:07 PDT
Created attachment 368889 [details]
Archive of layout-test-results from ews117 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews117  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 17 Build Bot 2019-05-02 21:42:00 PDT
Comment on attachment 368870 [details]
Patch

Attachment 368870 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/12074925

New failing tests:
accessibility/ios-simulator/links-activation.html
Comment 18 Build Bot 2019-05-02 21:42:02 PDT
Created attachment 368894 [details]
Archive of layout-test-results from ews126 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews126  Port: ios-simulator-wk2  Platform: Mac OS X 10.14.4
Comment 19 Ryosuke Niwa 2019-05-02 22:00:32 PDT
Comment on attachment 368870 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=368870&action=review

> Source/WebCore/ChangeLog:4
> +        https://bugs.webkit.org/show_bug.cgi?id=197511

Please update the bug title in accordance with my change.
Also, there is no need in repeating the title again for radar.

> Source/WebCore/ChangeLog:12
> +        Reviewed by NOBODY (OOPS!).

This line should appear before change descriptions but after URLs.
Comment 20 Andres Gonzalez 2019-05-03 07:31:43 PDT
Created attachment 368923 [details]
Patch
Comment 21 Build Bot 2019-05-03 08:35:26 PDT
Comment on attachment 368923 [details]
Patch

Attachment 368923 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/12088055

New failing tests:
accessibility/links-activation.html
Comment 22 Build Bot 2019-05-03 08:35:28 PDT
Created attachment 368928 [details]
Archive of layout-test-results from ews100 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews100  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 23 Build Bot 2019-05-03 08:49:03 PDT
Comment on attachment 368923 [details]
Patch

Attachment 368923 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/12088087

New failing tests:
accessibility/links-activation.html
Comment 24 Build Bot 2019-05-03 08:49:05 PDT
Created attachment 368930 [details]
Archive of layout-test-results from ews104 for mac-highsierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-highsierra-wk2  Platform: Mac OS X 10.13.6
Comment 25 Build Bot 2019-05-03 08:52:46 PDT
Comment on attachment 368923 [details]
Patch

Attachment 368923 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/12088103

New failing tests:
accessibility/links-activation.html
Comment 26 Build Bot 2019-05-03 08:52:50 PDT
Created attachment 368931 [details]
Archive of layout-test-results from ews215 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews215  Port: win-future  Platform: CYGWIN_NT-10.0-17763-3.0.5-338.x86_64-x86_64-64bit
Comment 27 Build Bot 2019-05-03 09:19:28 PDT
Comment on attachment 368923 [details]
Patch

Attachment 368923 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/12088105

New failing tests:
accessibility/links-activation.html
Comment 28 Build Bot 2019-05-03 09:19:30 PDT
Created attachment 368934 [details]
Archive of layout-test-results from ews112 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews112  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 29 Build Bot 2019-05-03 09:30:12 PDT
Comment on attachment 368923 [details]
Patch

Attachment 368923 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/12088120

New failing tests:
accessibility/ios-simulator/links-activation.html
Comment 30 Build Bot 2019-05-03 09:30:14 PDT
Created attachment 368935 [details]
Archive of layout-test-results from ews122 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews122  Port: ios-simulator-wk2  Platform: Mac OS X 10.14.4
Comment 31 Andres Gonzalez 2019-05-03 10:21:34 PDT
Created attachment 368945 [details]
Patch
Comment 32 Build Bot 2019-05-03 11:13:26 PDT
Comment on attachment 368945 [details]
Patch

Attachment 368945 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/12089420

New failing tests:
accessibility/links-activation.html
Comment 33 Build Bot 2019-05-03 11:13:28 PDT
Created attachment 368954 [details]
Archive of layout-test-results from ews100 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews100  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 34 Build Bot 2019-05-03 11:21:54 PDT
Comment on attachment 368945 [details]
Patch

Attachment 368945 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/12089407

New failing tests:
accessibility/links-activation.html
Comment 35 Build Bot 2019-05-03 11:21:56 PDT
Created attachment 368956 [details]
Archive of layout-test-results from ews105 for mac-highsierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews105  Port: mac-highsierra-wk2  Platform: Mac OS X 10.13.6
Comment 36 Andres Gonzalez 2019-05-03 11:35:01 PDT
Created attachment 368957 [details]
Patch
Comment 37 Build Bot 2019-05-03 11:59:46 PDT
Comment on attachment 368945 [details]
Patch

Attachment 368945 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/12089580

New failing tests:
accessibility/links-activation.html
Comment 38 Build Bot 2019-05-03 11:59:49 PDT
Created attachment 368960 [details]
Archive of layout-test-results from ews116 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews116  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 39 Build Bot 2019-05-03 12:20:52 PDT
Comment on attachment 368945 [details]
Patch

Attachment 368945 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/12089835

New failing tests:
accessibility/ios-simulator/links-activation.html
Comment 40 Build Bot 2019-05-03 12:20:54 PDT
Created attachment 368963 [details]
Archive of layout-test-results from ews126 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews126  Port: ios-simulator-wk2  Platform: Mac OS X 10.14.4
Comment 41 Build Bot 2019-05-03 12:29:51 PDT
Comment on attachment 368945 [details]
Patch

Attachment 368945 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/12090043

New failing tests:
accessibility/links-activation.html
Comment 42 Build Bot 2019-05-03 12:29:54 PDT
Created attachment 368964 [details]
Archive of layout-test-results from ews213 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews213  Port: win-future  Platform: CYGWIN_NT-10.0-17763-3.0.5-338.x86_64-x86_64-64bit
Comment 43 Build Bot 2019-05-03 12:38:14 PDT
Comment on attachment 368957 [details]
Patch

Attachment 368957 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/12090271

New failing tests:
accessibility/links-activation.html
Comment 44 Build Bot 2019-05-03 12:38:16 PDT
Created attachment 368966 [details]
Archive of layout-test-results from ews101 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews101  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 45 Build Bot 2019-05-03 12:51:20 PDT
Comment on attachment 368957 [details]
Patch

Attachment 368957 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/12090287

New failing tests:
accessibility/links-activation.html
Comment 46 Build Bot 2019-05-03 12:51:22 PDT
Created attachment 368967 [details]
Archive of layout-test-results from ews105 for mac-highsierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews105  Port: mac-highsierra-wk2  Platform: Mac OS X 10.13.6
Comment 47 Build Bot 2019-05-03 13:07:44 PDT
Comment on attachment 368957 [details]
Patch

Attachment 368957 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/12090266

New failing tests:
accessibility/links-activation.html
Comment 48 Build Bot 2019-05-03 13:07:46 PDT
Created attachment 368971 [details]
Archive of layout-test-results from ews112 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews112  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 49 Build Bot 2019-05-03 13:14:05 PDT
Comment on attachment 368957 [details]
Patch

Attachment 368957 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/12090270

New failing tests:
accessibility/ios-simulator/links-activation.html
Comment 50 Build Bot 2019-05-03 13:14:08 PDT
Created attachment 368973 [details]
Archive of layout-test-results from ews123 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews123  Port: ios-simulator-wk2  Platform: Mac OS X 10.14.4
Comment 51 Build Bot 2019-05-03 14:00:14 PDT
Comment on attachment 368957 [details]
Patch

Attachment 368957 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/12090797

New failing tests:
accessibility/links-activation.html
Comment 52 Build Bot 2019-05-03 14:00:18 PDT
Created attachment 368982 [details]
Archive of layout-test-results from ews211 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews211  Port: win-future  Platform: CYGWIN_NT-10.0-17763-3.0.5-338.x86_64-x86_64-64bit
Comment 53 Andres Gonzalez 2019-05-03 14:39:43 PDT
Created attachment 368993 [details]
Patch
Comment 54 Build Bot 2019-05-03 15:33:40 PDT
Comment on attachment 368993 [details]
Patch

Attachment 368993 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/12092394

New failing tests:
accessibility/links-activation.html
Comment 55 Build Bot 2019-05-03 15:33:43 PDT
Created attachment 369006 [details]
Archive of layout-test-results from ews101 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews101  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 56 Build Bot 2019-05-03 15:50:40 PDT
Comment on attachment 368993 [details]
Patch

Attachment 368993 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/12092495

New failing tests:
accessibility/links-activation.html
Comment 57 Build Bot 2019-05-03 15:50:42 PDT
Created attachment 369008 [details]
Archive of layout-test-results from ews106 for mac-highsierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-highsierra-wk2  Platform: Mac OS X 10.13.6
Comment 58 Build Bot 2019-05-03 16:39:18 PDT
Comment on attachment 368993 [details]
Patch

Attachment 368993 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/12093168

New failing tests:
accessibility/links-activation.html
legacy-animation-engine/fast/layers/no-clipping-overflow-hidden-hardware-acceleration.html
Comment 59 Build Bot 2019-05-03 16:39:21 PDT
Created attachment 369019 [details]
Archive of layout-test-results from ews210 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews210  Port: win-future  Platform: CYGWIN_NT-10.0-17763-3.0.5-338.x86_64-x86_64-64bit
Comment 60 Build Bot 2019-05-03 16:40:32 PDT
Comment on attachment 368993 [details]
Patch

Attachment 368993 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/12092844

New failing tests:
accessibility/links-activation.html
Comment 61 Build Bot 2019-05-03 16:40:34 PDT
Created attachment 369020 [details]
Archive of layout-test-results from ews112 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews112  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 62 Build Bot 2019-05-03 16:46:14 PDT
Comment on attachment 368993 [details]
Patch

Attachment 368993 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/12092865

New failing tests:
accessibility/ios-simulator/links-activation.html
Comment 63 Build Bot 2019-05-03 16:46:16 PDT
Created attachment 369022 [details]
Archive of layout-test-results from ews124 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews124  Port: ios-simulator-wk2  Platform: Mac OS X 10.14.4
Comment 64 Andres Gonzalez 2019-05-05 18:37:53 PDT
Created attachment 369097 [details]
Patch
Comment 65 Build Bot 2019-05-06 01:05:36 PDT
Comment on attachment 369097 [details]
Patch

Attachment 369097 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/12109390

New failing tests:
svg/repaint/remove-border-property-on-root.html
Comment 66 Build Bot 2019-05-06 01:05:42 PDT
Created attachment 369114 [details]
Archive of layout-test-results from ews211 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews211  Port: win-future  Platform: CYGWIN_NT-10.0-17763-3.0.5-338.x86_64-x86_64-64bit
Comment 67 WebKit Commit Bot 2019-05-06 15:33:59 PDT
Comment on attachment 369097 [details]
Patch

Clearing flags on attachment: 369097

Committed r244983: <https://trac.webkit.org/changeset/244983>
Comment 68 WebKit Commit Bot 2019-05-06 15:34:01 PDT
All reviewed patches have been landed.  Closing bug.
Comment 69 Truitt Savell 2019-05-09 09:42:35 PDT
The new test accessibility/links-activation.html

added in https://trac.webkit.org/changeset/244983/webkit

is a flakey failure on Mojave Debug WK2. 

History:
https://webkit-test-results.webkit.org/dashboards/flakiness_dashboard.html#showAllRuns=true&tests=accessibility%2Flinks-activation.html

Diff:
--- /Volumes/Data/slave/mojave-debug-tests-wk2/build/layout-test-results/accessibility/links-activation-expected.txt
+++ /Volumes/Data/slave/mojave-debug-tests-wk2/build/layout-test-results/accessibility/links-activation-actual.txt
@@ -11,8 +11,6 @@
 On success, you will see a series of "PASS" messages, followed by "TEST COMPLETE".
 
 
-click event [object MouseEvent] for element A with id multiline-link
-click event [object MouseEvent] for element A with id singleline-link
 PASS successfullyParsed is true
 
 TEST COMPLETE
Comment 70 Andres Gonzalez 2019-05-17 15:22:53 PDT
Reopening to attach new patch.
Comment 71 Andres Gonzalez 2019-05-17 15:22:55 PDT
Created attachment 370160 [details]
Patch
Comment 72 chris fleizach 2019-05-17 15:24:11 PDT
Comment on attachment 370160 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=370160&action=review

> LayoutTests/accessibility/links-activation.html:47
> +                                          });

looks like indentation is too much for these lines. should only be 4 char indentation
Comment 73 Andres Gonzalez 2019-05-17 15:31:53 PDT
Created attachment 370162 [details]
Patch
Comment 74 Andres Gonzalez 2019-05-17 15:34:38 PDT
(In reply to chris fleizach from comment #72)
> Comment on attachment 370160 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=370160&action=review
> 
> > LayoutTests/accessibility/links-activation.html:47
> > +                                          });
> 
> looks like indentation is too much for these lines. should only be 4 char
> indentation

That's Xcode default indentation, hard to fight all the time, but fixed in the new upload.
Comment 75 WebKit Commit Bot 2019-05-20 10:24:25 PDT
Comment on attachment 370162 [details]
Patch

Clearing flags on attachment: 370162

Committed r245518: <https://trac.webkit.org/changeset/245518>
Comment 76 WebKit Commit Bot 2019-05-20 10:24:27 PDT
All reviewed patches have been landed.  Closing bug.